Vulnerability CVE-2019-19135


Published: 2020-03-16

Description:
In OPC Foundation OPC UA .NET Standard codebase 1.4.357.28, servers do not create sufficiently random numbers in OPCFoundation.NetStandard.Opc.Ua before 1.4.359.31, which allows man in the middle attackers to reuse encrypted user credentials sent over the network.

Type:

CWE-522

(Insufficiently Protected Credentials)

CVSS2 => (AV:N/AC:M/Au:N/C:P/I:P/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
5.8/10
4.9/10
8.6/10
Exploit range
Attack complexity
Authentication
Remote
Medium
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
Partial
None
Affected software
Opcfoundation -> Netstandard.opc.ua 
Opcfoundation -> Ua-.netstandard 

 References:
https://opcfoundation.org/security-bulletins/
https://opcfoundation.org/SecurityBulletins/OPC%20Foundation%20Security%20Bulletin%20CVE-2019-19135.pdf

Copyright 2022, cxsecurity.com

 

Back to Top